=== Desktop/CMakeLists.txt ===

install( FILES settings-add-and-remove-software.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kpk_addrm.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kpk_settings.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kpk_update.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kpackagekit.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kpackagekitd.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )
