=== KPackageKit/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,6 @@
 set(kpackagekit_SRCS
     main.cpp
     KPackageKit.cpp
-    KpkInstallFiles.cpp
-    KpkInstallMimeType.cpp
-    KpkInstallPackageName.cpp
-    KpkInstallProvideFile.cpp
-    KpkRemovePackageByFile.cpp
     KpkBackendDetails.cpp
     KpkMainUi.cpp
 )
@@ -22,7 +17,6 @@
 
 target_link_libraries(kpackagekit
     ${KDE4_KDEUI_LIBS}
-    ${KDE4_KIO_LIBS}
     ${KDE4_KUTILS_LIBS}
     ${QPACKAGEKIT_LIBRARIES}
     kpackagekitlib
