=== Settings/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,9 @@
 )
 
 kde4_add_plugin(kcm_kpk_settings ${kpk_settings_SRCS})
-target_link_libraries(kcm_kpk_settings ${KDE4_KDEUI_LIBS} ${QPACKAGEKIT_LIBRARIES} kpackagekitlib)
+target_link_libraries(kcm_kpk_settings
+    ${KDE4_KDEUI_LIBS}
+    ${QPACKAGEKIT_LIBRARIES}
+    kpackagekitlib)
 
 install(TARGETS kcm_kpk_settings  DESTINATION ${PLUGIN_INSTALL_DIR} )
