=== SmartIcon/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,30 @@
     KpkDistroUpgrade.cpp
     KpkInterface.cpp
     KpkTransactionWatcher.cpp
+    PkInterface.cpp
+    KpkAbstractTask.cpp
+    PkInstallPackageNames.cpp
+    PkSearchFile.cpp
+    PkIsInstalled.cpp
+    PkInstallMimeTypes.cpp
+    PkInstallGStreamerResources.cpp
+    PkInstallFontconfigResources.cpp
+    PkInstallPackageFiles.cpp
+    PkInstallProvideFiles.cpp
+    PkInstallCatalogs.cpp
+    PkRemovePackageByFiles.cpp
 )
 
 qt4_add_dbus_adaptor(kpackagekit_smart_dbus_SRCS
     org.kde.KPackageKitSmartIcon.xml
     KpkInterface.h
     KpkInterface
+)
+
+qt4_add_dbus_adaptor(kpackagekit_smart_dbus_SRCS
+    org.freedesktop.PackageKit.xml
+    PkInterface.h
+    PkInterface
 )
 
 kde4_add_executable(kpackagekitsmarticon
@@ -23,9 +41,9 @@
 
 target_link_libraries(kpackagekitsmarticon
     ${KDE4_KDEUI_LIBS}
-    ${KDE4_KUTILS_LIBS}
+    ${KDE4_KIO_LIBS}
+    ${KDE4_SOLID_LIBS}
     ${QPACKAGEKIT_LIBRARIES}
-    ${KDE4_SOLID_LIBS}
     kpackagekitlib
 )
 
@@ -35,3 +53,4 @@
 
 include(PkgConfigGetVar)
 dbus_add_activation_service(org.kde.KPackageKitSmartIcon.service.in)
+dbus_add_activation_service(org.freedesktop.PackageKit.service.in)
