=== libkpackagekit/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
     KpkReviewChanges.cpp
     KpkRequirements.cpp
     KpkAbstractIsRunning.cpp
+    KpkImportance.cpp
+    KpkSimulateModel.cpp
 )
 
 kde4_add_ui_files(libkpk_SRCS
@@ -23,6 +25,9 @@
 )
 
 kde4_add_library(kpackagekitlib SHARED ${libkpk_SRCS})
-target_link_libraries(kpackagekitlib ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QPACKAGEKIT_LIBRARIES})
+target_link_libraries(kpackagekitlib
+    ${KDE4_KDEUI_LIBS}
+    ${KDE4_KIO_LIBS}
+    ${QPACKAGEKIT_LIBRARIES})
 
 install(TARGETS kpackagekitlib ${INSTALL_TARGETS_DEFAULT_ARGS})
