=== libkpackagekit/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,30 @@
 set(libkpk_SRCS
+    AppInstall.cpp
+    KpkIcons.cpp
+    KpkStrings.cpp
+    ApplicationLauncher.cpp
+    ApplicationsDelegate.cpp
+    CategoryDrawer.cpp
     KpkDelegate.cpp
+    TransactionDelegate.cpp
+    ProgressView.cpp
     KpkTransaction.cpp
-    KpkStrings.cpp
     KpkRepoSig.cpp
     KpkLicenseAgreement.cpp
     KpkPackageModel.cpp
     KpkSimplePackageModel.cpp
-    KpkIcons.cpp
-    KpkTransactionBar.cpp
     KpkProgressBar.cpp
     KpkReviewChanges.cpp
     KpkRequirements.cpp
     KpkAbstractIsRunning.cpp
     KpkImportance.cpp
     KpkSimulateModel.cpp
+    KpkSearchableTreeView.cpp
+    KpkCategorizedView.cpp
 )
 
 kde4_add_ui_files(libkpk_SRCS
+    ApplicationLauncher.ui
     KpkTransaction.ui
     KpkRepoSig.ui
     KpkLicenseAgreement.ui
