=== debian/changelog ===
kpackagekit (0.6.2-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add kubuntu_08_updates_info.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Oct 2010 01:14:13 +0100

kpackagekit (0.6.1+svn1181837-0ubuntu1) maverick; urgency=low

  * New upstream snapshot, fixes broken systray icon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 02 Oct 2010 13:38:41 +0100

kpackagekit (0.6.1+svn1176533-0ubuntu2) maverick; urgency=low

  * Remove kubuntu_02_no_edit_triggers.diff fixed by upstream
    Something was wrong when the patch was refreshed, it causes the opposite
    behaviour.

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 24 Sep 2010 19:15:35 +0200

kpackagekit (0.6.1+svn1176533-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Add -DAPPINSTALL=true -DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
  * Refresh kubuntu_02_no_edit_triggers.diff
  * Disable kubuntu_01_edit_sources.patch, applied upstream through EDIT_ORIGNS_DESKTOP_NAME
  * Disable kubuntu_05_hide_rollback_button.diff, feature no longer exists
  * Recommends: app-install-data (adds 8MB to CD size)
  * Install debian/desktop.db in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Sep 2010 23:30:09 +0100

kpackagekit (0.6.1-0ubuntu2) maverick; urgency=low

  * Add kubuntu_02_no_edit_triggers.diff, don't rename labels in "Groups" if
    double click is enabled

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 06 Sep 2010 17:41:26 +0200

kpackagekit (0.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump Standards-Version to 3.9.1
    - Bump pkg-kde-tools to 0.9.2
    - Bump libpackagekit-qt-dev to 0.6.7
    - Remove kubuntu_07_delete_debconf_objects.diff fixed by upstream
    - Remove debian-changes-0.6.0+svn1167871-0ubuntu1

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 05:22:06 +0200

kpackagekit (0.6.0+svn1167871-0ubuntu3) maverick; urgency=low

  * Add kubuntu_07_delete_debconf_objects.diff from upstream svn, delete
    debconf objects so /tmp does not fill up with them

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 23:41:31 +0100

kpackagekit (0.6.0+svn1167871-0ubuntu2) maverick; urgency=low

  * Add build-dep on libdebconf-kde-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 20:31:38 +0100

kpackagekit (0.6.0+svn1167871-0ubuntu1) maverick; urgency=low

  * New upstream snapshot LP: #624173
  * kubuntu_01_edit_sources.patch recoded
  * Remove kubuntu_04_tray_icon.patch no longer needed
  * Add fetch_translations rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 16:09:45 +0100

kpackagekit (0.6.0+svn1163215-0ubuntu1) maverick; urgency=low

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Aug 2010 15:07:27 +0100

kpackagekit (0.6.0-0ubuntu3) maverick; urgency=low

  * debian/control: remove duplicate dependency on cmake LP: #607373
  * lintian:
    - postinst-must-call-ldconfig
    - copyright-refers-to-versionless-license-file 

 -- Cosme Domínguez Díaz <cosme.ddiaz@gmail.com>  Mon, 19 Jul 2010 17:29:36 +0000

kpackagekit (0.6.0-0ubuntu2) maverick; urgency=low

  * Add kubuntu_07_fix_systemsettings_category.diff changing the parent
    category in systemsettings to a value available in 4.5. This gets kpk
    out of Lost'n'Found and into a coherent category if its own again.
    LP: #606576

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 17 Jul 2010 08:16:52 +0200

kpackagekit (0.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jun 2010 11:32:37 +0100

kpackagekit (0.5.4-0ubuntu5) maverick; urgency=low

  * Add an explicit depend on cmake now that kdelibs5-dev doesn't depend on it
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16
  * Bump pkg-kde-tools build-depend version to 0.5.0 for use of the kde dh
    sequence
  * Bump required version of packagekit to 0.5.0 since KPackageKit will only
    build/run with 0.5.x.
  * Remove now-redundant use of the quilt dh sequence from debian/rules

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 19:11:44 -0400

kpackagekit (0.5.4-0ubuntu4) lucid; urgency=low

  * Add kubuntu_05_hide_rollback_button.diff since the Rollback feature is
    not implemented in any backend (Or even in KPackageKit) (LP: #527606)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Mar 2010 20:05:15 -0400

kpackagekit (0.5.4-0ubuntu3) lucid; urgency=low

  * Add depends on update-manager-kde, needed for distro upgrade

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Mar 2010 18:47:26 +0000

kpackagekit (0.5.4-0ubuntu2) lucid; urgency=low

  * Add quilt build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Jan 2010 11:17:45 +0000

kpackagekit (0.5.4-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Jan 2010 19:13:32 +0000

kpackagekit (0.4.2-0ubuntu3) karmic; urgency=low

  * Add back kubuntu_04_translations_catalogue.diff to load correct
    catalogue for translations.  Closes LP: #455342

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Oct 2009 11:35:02 +0100

kpackagekit (0.4.2-0ubuntu2) karmic; urgency=low

  * Replace policykit-kde dep with kdebase-workspace-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 23:33:45 +0100

kpackagekit (0.4.2-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * New upstream release (LP: #416077):
    - Add kubuntu_03_fix_ftbfs.patch to make CMake look for gettext
  * Bump Standards-Version to 3.8.3
  * Remove unecessary build-depend on cmake, kdelibs5-dev brings it in

  [ Jonathan Riddell ]
  * Add kubuntu_04_tray_icon.patch to simplify notification and show
    tray icon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 13:36:09 +0100

kpackagekit (0.4.1.1-0ubuntu2) karmic; urgency=low


