=== debian/control ===
Source: kpackagekit
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastian Heinlein <glatzor@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9.2), libpackagekit-qt-dev (>= 0.6.7), cmake, kdelibs5-dev, libdbus-1-dev, libdebconf-kde-dev
Standards-Version: 3.9.1
Homepage: http://www.packagekit.org

Package: kpackagekit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, software-properties-kde, packagekit (>= 0.5.0), update-manager-kde
Recommends: app-install-data
Provides: packagekit-kde
Description: KDE package management tool using PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a package manager and a update notifier.
