=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=playground-sysadmin

%:
	dh --with kde $@

override_dh_auto_configure:
	dh_auto_configure -- -DDEBCONF_SUPPORT=true -DAPPINSTALL=true -DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde

override_dh_install:
	mkdir -p kpackagekit/usr/share/app-install/
	cp debian/desktop.db debian/kpackagekit/usr/share/app-install/
	dh_install

fetch_translations:
	mkdir -p po
	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
	cd po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/playground-sysadmin/kpackagekit.po; cd ..; done
	cd po; rm subdirs; rmdir --ignore-fail-on-non-empty *
