## kpackagekit 0.6.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,9 @@
                ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 include(FindPkgConfig)
-pkg_check_modules(QPACKAGEKIT REQUIRED packagekit-qt>=0.6.8)
+set(QPACKAGEKIT_MIN_VERSION 0.6.11)
+pkg_check_modules(QPACKAGEKIT REQUIRED packagekit-qt>=${QPACKAGEKIT_MIN_VERSION})
+macro_log_feature(QPACKAGEKIT_FOUND "packagekit-qt" "The Qt library to use PackageKit" "http://www.packagekit.org" TRUE ${QPACKAGEKIT_MIN_VERSION} "")
 include(KDE4Defaults)
 
 add_definitions(${QT_DEFINITIONS}
@@ -73,3 +75,6 @@
 add_subdirectory(SmartIcon)
 add_subdirectory(KPackageKitD)
 add_subdirectory(Desktop)
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )
