=== KPackageKit/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 find_package(KDE4Internal REQUIRED)
 
 set(kpackagekit_SRCS
+    KpkMainUi.cpp
+    KpkBackendDetails.cpp
+    KPackageKit.cpp
     main.cpp
-    KPackageKit.cpp
-    KpkBackendDetails.cpp
-    KpkMainUi.cpp
 )
 
 kde4_add_ui_files(kpackagekit_SRCS
