=== SmartIcon/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     PkInstallProvideFiles.cpp
     PkInstallCatalogs.cpp
     PkRemovePackageByFiles.cpp
+    PkInstallPrinterDrivers.cpp
     KPackageKitSmartIcon.cpp
     main.cpp
 )
@@ -56,3 +57,4 @@
 include(PkgConfigGetVar)
 dbus_add_activation_service(org.kde.KPackageKitSmartIcon.service.in)
 dbus_add_activation_service(org.freedesktop.PackageKit.service.in)
+
