=== Updater/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,12 @@
 set(kpk_update_SRCS
-    KcmKpkUpdate.cpp
-    KpkUpdate.cpp
     KpkUpdateDetails.cpp
     KpkDistroUpgrade.cpp
-    KpkSimpleTransactionModel.cpp
-    KpkHistory.cpp
-    KpkTransactionFilterModel.cpp
+    KpkCheckableHeader.cpp
+    UpdateKCM.cpp
 )
 kde4_add_ui_files(kpk_update_SRCS
-    KpkUpdate.ui
     KpkUpdateDetails.ui
-    KpkHistory.ui
+    UpdateKCM.ui
 )
 
 kde4_add_plugin(kcm_kpk_update ${kpk_update_SRCS})
