=== libkpackagekit/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
     KpkAbstractIsRunning.cpp
     KpkImportance.cpp
     KpkSimulateModel.cpp
-    KpkSearchableTreeView.cpp
     KpkCategorizedView.cpp
 )
