=== debian/changelog ===
kpackagekit (0.6.3.3-0ubuntu2) natty; urgency=low

  * Add kubuntu_08_ktoolinvocation.diff to make applications launched from the
    update icon properly themed. (LP: #707916)
  * Enable parallel building.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 10 Mar 2011 11:20:09 +0100

kpackagekit (0.6.3.3-0ubuntu1) natty; urgency=low

  * New upstream release
    - Refresh kubuntu_06_no_automatic_updates.diff
    - Drop kubuntu_08_updates_info.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Jan 2011 17:20:02 +0530

kpackagekit (0.6.2-0ubuntu3) natty; urgency=low

  * Change build-dep from libpackagekit-qt-14 to its newly renamed version
    libpackagekit-qt14 (LP: #689109)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 12 Dec 2010 01:10:29 +0100

kpackagekit (0.6.2-0ubuntu2) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 06:59:34 +0200
