=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 export KUBUNTU_DESKTOP_POT=playground-sysadmin
 
 %:
-	dh --with kde $@
+	dh $@ --parallel --with kde
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DDEBCONF_SUPPORT=true -DAPPINSTALL=true -DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
+	dh_auto_configure -Skde -- -DDEBCONF_SUPPORT=true -DAPPINSTALL=true -DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
 
 override_dh_install:
 	mkdir -p kpackagekit/usr/share/app-install/
